      program main
      implicit none
      real*8, allocatable :: r(:), theta(:), x(:,:)
      real*8 time
      integer*8 time0, time1, dtime
      integer i, j, n
c
      n = 10000

c Initialization
      allocate(r(n), theta(n), x(n,n))
      do i=1,n
        r(i) = rand()
        theta(i) = rand()
      end do

c Start time
      call system_clock(time0)

c Main calculation
      do j=1,n
c
        do i=1,n
          x(i,j) = r(j) * cos(theta(i))
        end do
      end do

c Finish time
      call system_clock(time1, dtime)

c Output time
      time = 1d0*(time1-time0)/dtime
      write(*,"(a7,f16.7)")"Time = ",time

      deallocate(r, theta, x)
      end program
